{
  "_id": "cordova-plugin-qrscanner@3.0.1",
  "_rev": "38-849286d2034e72266bea47a90ce7e776",
  "name": "cordova-plugin-qrscanner",
  "description": "Fast, energy-efficient, highly-configurable QR code scanner.",
  "dist-tags": {
    "latest": "3.0.1",
    "old": "2.6.2"
  },
  "versions": [
    "0.1.0",
    "1.0.0",
    "1.0.1",
    "1.1.0",
    "2.0.0",
    "2.0.1",
    "2.1.0",
    "2.1.1",
    "2.3.0",
    "2.3.1",
    "2.3.2",
    "2.3.3",
    "2.3.4",
    "2.4.0",
    "2.4.1",
    "2.5.0",
    "2.6.0",
    "2.6.1",
    "2.6.2",
    "3.0.0",
    "3.0.1"
  ],
  "maintainers": [
    "ematiu <ematiu@gmail.com>",
    "gasteve <stephen@pairhome.net>",
    "nitsujlangston <nitsujlangston@gmail.com>"
  ],
  "time": {
    "modified": "2019-03-29T16:09:57.550Z",
    "created": "2016-01-18T02:24:29.095Z",
    "0.1.0": "2016-01-18T02:24:29.095Z",
    "1.0.0": "2016-01-25T02:20:31.321Z",
    "1.0.1": "2016-02-23T01:01:12.302Z",
    "1.1.0": "2016-04-05T15:23:41.807Z",
    "2.0.0": "2016-06-29T20:48:43.185Z",
    "2.0.1": "2016-08-03T19:00:23.641Z",
    "2.1.0": "2016-08-05T16:56:56.591Z",
    "2.1.1": "2016-08-12T23:52:09.051Z",
    "2.3.0": "2016-09-28T00:41:10.891Z",
    "2.3.1": "2016-09-28T00:48:25.062Z",
    "2.3.2": "2016-09-28T20:18:44.467Z",
    "2.3.3": "2016-09-29T02:50:00.034Z",
    "2.3.4": "2016-10-01T21:34:30.608Z",
    "2.4.0": "2016-10-06T00:42:19.567Z",
    "2.4.1": "2017-02-14T21:16:54.620Z",
    "2.5.0": "2017-02-15T18:52:05.202Z",
    "2.6.0": "2018-05-17T18:42:46.740Z",
    "2.6.1": "2019-03-28T09:42:53.905Z",
    "2.6.2": "2019-03-29T13:37:17.055Z",
    "3.0.0": "2019-03-29T13:38:10.450Z",
    "3.0.1": "2019-03-29T16:09:52.845Z"
  },
  "homepage": "https://github.com/bitpay/cordova-plugin-qrscanner",
  "keywords": [
    "cordova",
    "qr",
    "qr code",
    "scanner",
    "reader",
    "ecosystem:cordova",
    "cordova-ios",
    "cordova-android",
    "cordova-browser",
    "UMD",
    "library",
    "electron",
    "NW.js"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/bitpay/cordova-plugin-qrscanner.git"
  },
  "author": "Jason Dreyzehner",
  "bugs": {
    "url": "https://github.com/bitpay/cordova-plugin-qrscanner/issues"
  },
  "license": "MIT",
  "readmeFilename": "readme.md",
  "users": {
    "shanewholloway": true,
    "django_wong": true,
    "method76": true,
    "tenbamboo": true,
    "gaurang_gupta": true,
    "kaerimichi": true,
    "chinawolf_wyp": true,
    "tvtamas": true,
    "kitbs": true,
    "hoodasaad": true,
    "desertcrystal": true,
    "shanquan": true,
    "faulfish": true
  },
  "_etag": "W/\"985f5b930a241092ae6f7e422fbf1956\"",
  "_lastModified": "Fri, 29 Mar 2019 16:09:58 GMT",
  "version": "3.0.1",
  "cordova": {
    "id": "cordova-plugin-qrscanner",
    "platforms": [
      "ios"
    ]
  },
  "scripts": {
    "build": "gulp && npm run clean-build",
    "clean-build": "trash dist/plugin.min.js && trash dist/www.min.js && trash src/browser/worker.min.js",
    "test": "npm run jshint",
    "jshint": "jshint src/browser/src && jshint src/common/src && jshint tests",
    "gen-tests": "npm run build && npm run clean-platform-tests && npm run mkdirp-platform-tests && npm run copy-platform-tests && npm run install-platform-tests",
    "clean-platform-tests": "trash ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests",
    "mkdirp-platform-tests": "mkdirp ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests",
    "copy-platform-tests": "ncp tests/project ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests",
    "install-platform-tests": "cd ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests && npm install",
    "test:ios": "cd ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests && npm run test:ios",
    "test:android": "cd ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests && npm run test:android",
    "test:browser": "cd ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests && npm run test:browser",
    "test:windows": "cd ../cordova-plugin-test-projects/cordova-plugin-qrscanner-tests && npm run test:windows",
    "test:library": "npm run build && node tests/library/test.js",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s",
    "commitmsg": "validate-commit-msg",
    "prep-release": "git clean -dfx && npm install && npm run build && npm run changelog"
  },
  "main": "dist/cordova-plugin-qrscanner-lib.min.js",
  "dependencies": {
    "qrcode-reader": "^1.0.4",
    "webrtc-adapter": "^3.1.4"
  },
  "devDependencies": {
    "conventional-changelog-cli": "^1.2.0",
    "cz-conventional-changelog": "^2.0.0",
    "express": "^4.14.0",
    "gulp": "^3.9.1",
    "gulp-insert": "^0.5.0",
    "husky": "^0.13.1",
    "jshint": "^2.9.2",
    "mkdirp": "^0.5.1",
    "ncp": "^2.0.0",
    "raw-loader": "^0.5.1",
    "trash-cli": "^1.3.0",
    "validate-commit-msg": "^2.6.1",
    "webpack": "^2.7.0"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    },
    "validate-commit-msg": {
      "helpMessage": "\nThis project uses commitizen to document changes. Please try:\nnpm install commitizen -g && git cz\n"
    }
  },
  "gitHead": "b62efb64801ba0b830f0aac556935c0978d2fb98",
  "_npmVersion": "6.4.1",
  "_nodeVersion": "8.12.0",
  "_npmUser": "ematiu <ematiu@gmail.com>",
  "dist": {
    "integrity": "sha512-xrwOP3nD+VmRSiV0w7chZ5PLw2YwpI9vtLdeoGNYLLzmmjjYbyIof+x9vOEOgjtwrg9S61rukmOZhQAmkzaosA==",
    "shasum": "34af2ede5ce857ee9b4d75936e2916fead238545",
    "tarball": "https://registry.npmjs.org/cordova-plugin-qrscanner/-/cordova-plugin-qrscanner-3.0.1.tgz",
    "fileCount": 51,
    "unpackedSize": 3990600,
    "npm-signature": "-----BEGIN PGP SIGNATURE-----\r\nVersion: OpenPGP.js v3.0.4\r\nComment: https://openpgpjs.org\r\n\r\nwsFcBAEBCAAQBQJcnkNSCRA9TVsSAnZWagAAUmYP/3+xIrzTMmvlOzp8sd/6\nXg1VWigb0Vd+yqVlj+OsHL6vWirhWvo9jn5EsMJQJqIF6+eKkovY/FAqhvhE\n646fysQBR4oFxfBQBJ0Fd0BSmVGPGRWF7T+PIrAe87STGl3sEjiusc4MllkN\nd+jm4PzTrjSDZBh7F+LFqM8Ci0MJOE4jGYXeS4SiIs4z1QoxKs7VDt6eHCjN\nVIlx3dmzh6qkKhDn9O/vUiyQaa58u3EGs2Hx5YJW3+0UDUM9VXMIno+wHyGN\nEHzBqWgEIYb8NAEeVdMV5o+RdUjev4CRAahCNEsc6xvtN58hV/207JNJUVwk\nzMwv7fdnKegx2PQV5oOiQcR4TGMsHGG6AcKvNYEvrwX+wAihJzcH2qtOYPCM\ncLYUPcn02fEv3RYN9aPZ5c5NveTN+vCS1QTpGZqwWNZGAD0qrxv7NwyhYIey\nb1FCM918E458NMoPjeBj+e3ppRx9aNtP11QIFrTiVZxPYbiiT765XpZz4wTZ\n82TmB6mmV95ZilhzD5LnYULQrc28y0oZrYPkD+2U+hYMCMadVMxpge8hTRpU\nSW2HYZraldvcNotw/Dja1mUMOHJPQDEDKplg9YMz8IQKeC6tIE2D+YoFoG/o\nTchbrL49jvXdsEnFuhbryvS5JBh3vatXOCJvsI++Nx3HTE+wLmJ8UWtazIXf\nPD+j\r\n=DfL3\r\n-----END PGP SIGNATURE-----\r\n"
  },
  "directories": {},
  "_npmOperationalInternal": {
    "host": "s3://npm-registry-packages",
    "tmp": "tmp/cordova-plugin-qrscanner_3.0.1_1553875792676_0.8090313467042893"
  },
  "_hasShrinkwrap": false
}
